#!/usr/bin/env python
# -*- coding: utf-8 -*-
from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read().replace('.. :changelog:', '')

requirements = [
    'numpy',
    'matplotlib',
    'scipy'
]

setup(
    name='pywerami',
    version='0.2.5',
    description="pywerami is a stand-alone program to make an countour/3D plot from a contour data file generated by the Perple_X program WERAMI.",
    long_description=readme + '\n\n' + history,
    author="Ondrej Lexa",
    author_email='lexa.ondrej@gmail.com',
    url='https://github.com/ondrolexa/pywerami',
    packages=find_packages(),
    package_data={'pywerami.images': ['*.png'],
                  'pywerami.samples': ['*.tab']},
    install_requires=requirements,
    entry_points="""
    [console_scripts]
    pywerami=pywerami.mainapp:main
    """,
    license="BSD",
    zip_safe=False,
    keywords='pywerami',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Programming Language :: Python :: 3 :: Only',
        'Topic :: Scientific/Engineering',
        'Topic :: Utilities'
    ]
)
